package com.bzd.system.service.xsgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 零售员工日报表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXsglMdlsrbbYgSalesperformanceinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXsglMdlsrbbYgSalesperformanceinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglMdlsrbbYgSalesperformanceinfoMapper.addSXsglMdlsrbbYgSalesperformanceinfo", pd);
    }

    public List<PageData> findSXsglMdlsrbbYgSalesperformanceinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXsglMdlsrbbYgSalesperformanceinfoMapper.selectSXsglMdlsrbbYgSalesperformanceinfoList", pd);
    }

    public Integer SXsglMdlsrbbYgSalesperformanceinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXsglMdlsrbbYgSalesperformanceinfoMapper.SXsglMdlsrbbYgSalesperformanceinfoRemove", pd);
    }


    public Integer updateSXsglMdlsrbbYgSalesperformanceinfo(PageData pd)throws Exception {
        return daoSupport.update("SXsglMdlsrbbYgSalesperformanceinfoMapper.updateSXsglMdlsrbbYgSalesperformanceinfo", pd);
    }

}
